Submit Your Ideas

We want to hear from you - vote for the features and improvements you'd most like to see, or submit your own ideas if you don't find them already listed.

Possibility using latest programming language version

### 1. Summary

It would be nice, if would be possible, that Circle CI can automatically set the latest programming language version, that developers doesn't need to set specific version.

### 2. Argumentation

I develop Python packages. I want, that my packages works on latest Python version. Part of my example `circle.yml` file:

```yaml
machine:
  python:
    version: 3.6.3
```

When new Python version release, I need to change `3.6.3` to `3.6.4` in each my project, then I should change value to `3.6.5`, `3.7.0` and so on. It may take a lot of time.

### 3. Expected behavior

Example part of `circle.yml`:

```yaml
machine:
  python:
    version: stable
```

Circle CI will be automatically use the latest stable Python version, what is available on Circle CI.

### 4. Not helped

1. I read, for example, [this discussion](https://discuss.circleci.com/t/how-to-use-latest-python-version-instead-of-specific-version/11051?u=kristinita), but I don't find, how I can solve my problem.

Thanks.

  • Avatar32.5fb70cce7410889e661286fd7f1897de Guest
  • Feb 5 2018
  • Future consideration
  • Attach files